// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation;
  
/**
 * Exception thrown when attempting to access Variants as an
 * via a datatype incompatable with the variant. Does NOT extend from 
 * foundation IWombatRuntimeException for package integrity reasons. 
 * This supports a generic utility class - Variant.
 *
 * @author  $Author: bob $
 * @version $Revision: 1.3 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/10/01 17:49:16 $</dd></dl>
 */

public class WombatRuntimeException extends RuntimeException {

    Throwable originatingThrowable = null;
    /**
     * Creates new <code>WombatRuntimeException</code> without detail message.
     */

    public WombatRuntimeException() {}

    /**
     * Constructs a <code>WombatRuntimeException</code> with the specified detail message.
     * @param msg the detail message.
     */

    public WombatRuntimeException(String msg) {
        super(msg);
    }
    
    public WombatRuntimeException(String msg, Throwable newThrowable) {
        super(msg);
        this.setOriginatingThrowable( newThrowable );
    }
    
    public void setOriginatingThrowable(Throwable newThrowable) {
        originatingThrowable = newThrowable;
    }
    
    public Throwable getOriginatingThrowable() {
        return this.originatingThrowable;
    }
}
