/*--- (c) 2002 iWombat.com All rights reserved ---*/
package com.iwombat.foundation.environment;

import java.net.*;
import java.io.*;
import java.util.Properties;

import com.iwombat.util.URLUtil;


/**
 *
 * Utility class for constructing ConfigurationMapURLs
 *
 * @author  $Author: bob $
 * @version $Revision: 1.5 $
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/10/01 18:06:10 $</dd></dl>
 *
 */

public class ConfigurationURLUtil {
    
    public static URL getConfigurationMapURLForKey(String key) {
        URL constructedURL = null;
        try {
            String configFile = EnvironmentProperties.getProperty(key);
            String baseURL = EnvironmentProperties.getProperty(EnvironmentProperties.CONFIGURATION_BASE_URL);
            if (null != configFile) {
                return URLUtil.createURL(baseURL, configFile);
            } else {
                throw new EnvironmentException("configFile for key:" + key + " is not defined in environment properties");
            }
        } catch (MalformedURLException e) {
            throw new ConfigurationException("Failed to get URL for key:" + key + e.getMessage(), e);
        }
    } 
}
