// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;

import java.lang.reflect.Method;

import java.sql.*;

import com.iwombat.foundation.*;
/**
 * result set to Bean mapper, with Identifiers mapped to VARCHARs;
 * <br>
 * maps the following sql data types to object types:
 * <br><br>
 * java.sql.Types.VARCHAR = java.lang.String
 * <br>
 * <b>java.sql.Types.VARCHAR = com.iwombat.Identifier</b>
 * <br>
 * java.sql.Types.INTEGER = java.lang.Long
 * <br>
 * java.sql.Types.NUMERIC = java.lang.Float
 * <br>
 * java.sql.Types.TINYINT = java.lang.Boolean
 * <br>
 * java.sql.Types.BINARY = com.iwombat.ByteArray
 * <br>
 * java.sql.Types.TIMESTAMP = java.util.Date
 * <br>
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.1 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:39 $</dd></dl>
 */
public class CharIdentifierResultSetToBeanMapper extends StandardResultSetToBeanMapper{
    
    /**
     * writes an Identifier value into the currently set target Bean from the currently set source result set,
     * mapping Identifier objects to VARCHAR data types
     *
     * @param the mutator method from the target Bean
     * @param the column name to use from the source result set
     */
    public void setIdentifierBeanProperty(Method mutatorMethod, String columnName) throws java.sql.SQLException  {
        
        ResultSet resultSet=this.getSourceResultSet();
        String idHexString=resultSet.getString(columnName);
        invokeBeanPropertySetter(mutatorMethod, resultSet.wasNull()?null:IdentifierFactory.createUniqueIdentifier(idHexString));
    }
}
