// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;

import com.iwombat.foundation.*;
import com.iwombat.util.ObjectUtil;
import java.util.Properties;
import java.io.InputStream;

/**
 * A factory that can create instances of DomainObjects based on a specified Interface class anme.
 * The map is stored in a properties file, in the form of "domain_object_interface_class_name = domain_object_class_implementation_class_name".
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.2 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:39 $</dd></dl>
 */
public class DomainObjectFactory {

    private static Properties domainObjectInterfaceToImplementationMap;

    public static Object createDOInstance(Class domainObjectInterface) throws PersistenceException{

        
        DomainObject domainObject=null;
        String domainObjectInterfaceName = domainObjectInterface.getName();
        
        try{
            domainObject=(DomainObject)ObjectUtil.createObjectFromConfig(PersistenceConstants.DOMAIN_OBJ_FACTORY_CONFIG, domainObjectInterfaceName);
        }
        catch (Throwable t){
            throw new WombatRuntimeException("Unable to create DomainObject Implementation instance for domain object interface='" + domainObjectInterfaceName + "'.",t);
        }
        
        return domainObject;
        
    }
    
}
