// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;

/**
 * Maps a single prepared statement parameter to a bean property
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.2 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:40 $</dd></dl>
 */

import java.lang.reflect.Method;

public class OrdinalParameterToBeanMapItem implements BeanMappable {
    
    private String beanPropertyName;
    private int parameterIndex;
    private Method accessorMethod;
    private Class beanPropertyClass;
    
    
    /** Creates a new instance of OrdinalParameterToBeanMapItem */
    public OrdinalParameterToBeanMapItem() {
    }
 
    /**
     * returns the currently set bean property name for this map item
     * 
     * @return the currently set bean property name
     */
    public String getBeanPropertyName() {
        return this.beanPropertyName;
    }

    /**
     * sets the bean property name for this mapping
     *
     * @param the bean property name to set
     */
    public void setBeanPropertyName(String beanPropertyName) {
        this.beanPropertyName=beanPropertyName;
    }

    /**
     * retrieves the parameter index that the bean property maps to 
     *
     * @return the parameter index
     */
    public int getParameterIndex(){
        return this.parameterIndex;
    }

    /**
     * sets the parameter index that the bean property maps to
     *
     * @param the parameter index
     */
    public void setParameterIndex(int parameterIndex){
        this.parameterIndex=parameterIndex;
    }

    /**
     * retrieves the bean property's get method that matches the current bean property name
     *
     * @return the get method
     */
    public Method getAccessorMethod(){
        return this.accessorMethod;
    }
    
    /**
     * sets the bean property get method that matches the current bean property name
     * 
     * @param the get method
     */
    public void setAccessorMethod(Method accessorMethod){
        this.accessorMethod=accessorMethod;
    }

    
    
}

