// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;

/**
 * Represents a persistence provider that provides access to a specific persistence technology- e.g. RDBMS-Oracle, Open LDAP, etc.
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.2 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:40 $</dd></dl>
 */


public interface Persistence {


    /**
     * The key representing this particular persistence provider. used for locator lookups.
     *
     * @return the key
     */
    public String getKey();
    
    /**
     * Retrieves a free-form description of this persistence provider
     * 
     * @return the description
     */
    public String getDescription();
    
    /**
     * retrieves the key name representing this persistence technology
     *
     * <br><br>
     * 
     * @return the key representing this persistence technology
     *
     * @see com.iwombat.foundation.persist.PersistenceTechnologies
     */
    public String getPersistenceTechnologyKey();
    
}
