package com.iwombat.swing;

import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

public class Notepad extends JFrame {
    private MultiDocumentDesktopPane desktop = new MultiDocumentDesktopPane();
    private JMenuBar menuBar = new JMenuBar();
    private JMenu fileMenu = new JMenu("File");
    private JMenuItem newMenu = new JMenuItem("New");
    private JScrollPane scrollPane = new JScrollPane();

    public Notepad() {
        menuBar.add(fileMenu);
        menuBar.add(new MultiDocumentWindowMenu(desktop));
        fileMenu.add(newMenu);
        setJMenuBar(menuBar);
        setTitle("MDI Test");
        scrollPane.getViewport().add(desktop);
        getContentPane().setLayout(new BorderLayout());
        getContentPane().add(scrollPane,BorderLayout.CENTER);

        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
        newMenu.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent ae) {
                desktop.add(new TextFrame());
            }
        });

    }

    public static void main(String[] args) {
        Notepad notepad = new Notepad();
        notepad.setSize(600,400);
        notepad.show();
    }

}