// (c) 2003 iwombat.com all rights reserved

package com.iwombat.util;

/**
 * ByteArrayBuffer.java
 *
 * Mutable byte array
 *
 * @author  $Author: bob $
 * @version $Revision: 1.1 $
 *
 * <br>
 * <dt><b>Date:</b><dd>$Date: 2003/09/04 18:37:04 $</dd>
 */

public class ByteArrayBuffer extends ByteArray {
    
    public ByteArrayBuffer(byte[] byteArrayValue) {
        super(byteArrayValue);
    }
    
    public ByteArrayBuffer(byte singleByte) {
        super(singleByte);
    }
    
    public void append(byte singleByte) {
        byte[] onsie = new byte[1];
        onsie[0] = singleByte;
        append(onsie);
    }
    
    public void append(ByteArray byteArray) {
        append(byteArray.byteArrayValue());
    }
    
    public void append(byte[] array) {
        byte[] oldArray = this.getByteArrayValue();
        int newLength = array.length + oldArray.length;
        byte[] newArray = new byte[newLength];
        
        for(int i=0; i<oldArray.length; i++) {
            newArray[i] = oldArray[i];
        }
        
        for(int i=0; i<array.length; i++) {
            newArray[oldArray.length + i] = array[i];
        }
        this.setByteArrayValue(newArray);
    }
    
    public byte[] clip(int length) {
        byte[] clippedBytes = new byte[length];
        byte[] oldArray = this.getByteArrayValue();
        
        if (oldArray == null) {
            throw new IllegalStateException("array to clip is null");
        }
        
        for (int i=0; i<length; i++) {
            clippedBytes[i] = oldArray[i];
        }
        
        int size = oldArray.length - length;
        if (size < 0 ) {
            throw new IllegalArgumentException("length to clip is smaller than the array");
        } else if (size == 0) {
            this.setByteArrayValue(null);
        } else {       
            byte[] newArray = new byte[size];
            int idx = 0;
            for(int i=length; i<oldArray.length; i++)
                newArray[idx++] = oldArray[i];
            this.setByteArrayValue(newArray);
        }
           
        return clippedBytes;
        
    }
}
