// Provided gratus by Stuart MacLean at UW - thanks stuart


/*
 * HTMLUtil.java
 *
 * Created Dec 1, 2001
 */
 package com.iwombat.util;
 
/**
 * General utility class for dealing with Strings containing HTML code.
 *
 * @author  $Author: bob $
 * @version $Revision: 1.4 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/10/01 17:54:16 $</dd></dl>
 */

public class HTMLUtil {

	/** 
	 * Description: validate a text string by replacing all 
	 * special HTML characters with the appropriate character enitities
	 *
	 * @param asciiText
	 * @return converted html text
	 */
    static public String asciiToHTML( String asciiText ) {
		StringBuffer sb = new StringBuffer( asciiText.length() );
		for( int i = 0; i < asciiText.length(); i++ ) {
			char ch = asciiText.charAt( i );
			sb.append( ASCII2HTML[ ch-0x20 ] );
		}
		return sb.toString();
    }

	
	static private final String[] ASCII2HTML = {
		" ", "!", "&quot;", "#", "$", "%", "&amp;", "'",
		"(", ")", "*", "+", ",", "-", ".", "/",
		"0", "1", "2", "3", "4", "5", "6", "7", "8", "9",
		":", ";", "&lt;", "=", "&gt;", "?", "@",
		"A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M",
		"N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z",
		"[", "\\", "]", "^", "_", "`",
		"a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m",
		"n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z",
		"{", "|", "}", "~" };
}
