/*
 * ComprehensiveDomainObjectRdbmsDAO.java
 *
 */

package com.iwombat.foundation.persist;

/**
 *
 */
import com.iwombat.foundation.DomainObject;
import com.iwombat.foundation.Identifier;

public class ComprehensiveDomainObjectRdbmsDAO extends AbstractTransactionalDAO implements ComprehensiveDomainObjectDAO{
    
    /** Creates a new instance of ComprehensiveDomainObjectRdbmsDAO */
    public ComprehensiveDomainObjectRdbmsDAO() {
    }
    
    public void addComprehensiveDomainObject(ComprehensiveDomainObject comprehensiveDomainObject) {
        RdbmsDAOUtils.executeGenericPersistenceOperation(comprehensiveDomainObject,this,ComprehensiveDomainObjectDAO.CREATE_COMPREHENSIVE_DOMAIN_OBJECT);
    }
    
    public void deleteComprehensiveDomainObject(ComprehensiveDomainObject comprehensiveDomainObject) {
        RdbmsDAOUtils.executeGenericPersistenceOperation(comprehensiveDomainObject,this,ComprehensiveDomainObjectDAO.DELETE_COMPREHENSIVE_DOMAIN_OBJECT);
    }
    
    public ComprehensiveDomainObject getComprehensiveDomainObjectById(Identifier id) {
        return (ComprehensiveDomainObject)RdbmsDAOUtils.executeGenericGetById(getDomainObjectImplementation(),id,this,ComprehensiveDomainObjectRdbmsDAO.GET_COMPREHENSIVE_DOMAIN_OBJECT_BY_ID);
    }
    
    public void updateComprehensiveDomainObject(ComprehensiveDomainObject comprehensiveDomainObject) {
        RdbmsDAOUtils.executeGenericPersistenceOperation(comprehensiveDomainObject,this,ComprehensiveDomainObjectDAO.UPDATE_COMPREHENSIVE_DOMAIN_OBJECT);
    }
    
    public DomainObject createNew() {
        return new ComprehensiveDomainObjectImpl();
    }
    
    private Class getDomainObjectImplementation(){
        
        return ComprehensiveDomainObjectImpl.class;
        
    }
    
}
