package com.iwombat.foundation.persist;

import junit.framework.*;

import java.sql.*;
import java.util.*;
import com.iwombat.foundation.*;
import com.iwombat.util.*;
/**
 * DAOFactoryTest.java
 *
 */
public class DAOFactoryTest extends TestCase {
    
    
    public DAOFactoryTest(String name) {
        super(name);
    }
    
    public void setUp() {
        
    }
    public static Test suite() {
        TestSuite suite = new TestSuite(DAOFactoryTest.class);
        return suite;
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
        
        
    }
    public void testDAOFactory(){
        
        DomainObject dObj=null;
        DAO p=null;
        
        try{
            p = DAOFactory.createDAOInstance(ComprehensiveDomainObject.class);
        }
        catch (PersistenceException e){
            fail("caught PersistenceException attempting to retrive DAO Instance: " + e.getMessage());
        }
        
        assertEquals("retrieve persistence interface",p.getClass(),com.iwombat.foundation.persist.ComprehensiveDomainObjectRdbmsDAO.class);
        
        try{
            p = DAOFactory.createDAOInstance(String.class); //crazy, huh?
            fail("attempted to get persistable for a non-existant domain object, should have thrown PersistenceException");
        }
        catch (PersistenceException e){
            //good
        }
    }    
}